Can someone update this too 1.8-1.8.9

Discussion in 'Plugin Requests' started by dawgs_rules, Apr 3, 2016.

Thread Status:
Not open for further replies.
  1. Offline

    dawgs_rules

    http://dev.bukkit.org/bukkit-plugins/kits/

    I'm think this an "easy" fix. i could be wrong, but everything work fine beside when you do /kit [name of kit] it give you a message saying "An internal error occurred while attempting to perform this command. I’m pretty sure this is because the plugin run in 1.7.9, and i run a 1.8.8 spigot server. So if anyone can update it to at least 1.8-1.8.9. spigot that would be awesome. Thank you, for read at least C:

    Sorry, for my English i know it not the best, and also sorry if this the wrong forum to post it under.
     
  2. Online

    timtower Moderator Moderator

  3. Offline

    CollinTDC

    @dawgs_rules We can't just update the plugin without permission. Have you checked with the author if it's okay for us to update it?
     
  4. Offline

    dawgs_rules

    your* :p http://pastebin.com/5zUKK0tx Sorry



    No, He last login on oct 22, 2015, and is there a rule where you can update a plugin if the author/manager abandon the plugin?
     
  5. Offline

    mcdorli

    Yeah, thid should be only a one-line fix, but without the permission the author, we can't edit it, no matter what.
     
  6. Offline

    CTRL

    GNU General Public License version 3 (GPLv3)

    Soo
    I have looked into the code. The latest version is 2.2, compiled for BukkitAPI 1.8-R0.1-SNAPSHOT which is fine. You're using 2.1.

    In commit: https://github.com/Deryllium/Kits/commit/2e34c0587bfa11acdcbb5814faab0cb877f37908 weird import (that I've never seen before) net.minecraft.util.org.apache.commons.lang3.ArrayUtils has been removed.

    Authors repository seems to be down. Please compile the plugin from the source (You may need to compile mkremins.fanciful library first), or find a binary, which is not recommended unless it's author's site.
     
    Last edited: Apr 3, 2016
  7. Offline

    mcdorli

    The net.minecraft.util should be deleted package name
     
  8. Offline

    CTRL

    net.minecraft package does not appear in the code. I think we can mark the request filled. At the moment I'm finishing code cleanup of this plugin, tho I'm ain't gonna test it at all, so testing my fork would be appreciated.
     
  9. Offline

    mcdorli

    You're still not allowed to change it
     
  10. Online

    timtower Moderator Moderator

    Read the entire line please. That is about the license itself.
     
  11. Offline

    dawgs_rules

    But it say here "The second category is for a project which hasn't been updated in a long time; the project leader seems to be MIA and/or the project is slowly fading due to bitrot." Which the author is MIA. he has been gone for 6 mouth, so does that mean someone can request to take the license for it right, or it a inactive project.

    http://dev.bukkit.org/wiki/knowledge-base/policy/abandoned-and-inactive-projects/ This where i found them.

    I mean, i could be wrong. I'm kinda this to this stuff. :p
    So, please do explain if i'm wrong.
    Sorry for my english
     
  12. Offline

    CTRL

    You can do nothing without #free-software license even when bukkit.org says you can, but you can do everything with the code if the license is GPL or any other open source one. Why do you still have doubts?
    The author pulled my request so he's not inactive.
     
  13. Offline

    Dragonphase

    Working on an update for Spigot 1.9.2-R0.1. I will also be setting up a Maven repository for Kits on GitHub.
     
  14. Offline

    dawgs_rules

    >.> I misunderstood what you were saying. :/ i can't really read english that well.
     
Thread Status:
Not open for further replies.

Share This Page